Dial x402

Buy Phone Line (Internal)

Provision a new Dial phone line. $100 activation includes the first month and 10,000 free texts. Renews at $60/mo with 5,000 free texts per month.

Provision a new Dial phone line. $100 activation includes the first month and 10,000 free texts. Renews at $60/mo with 5,000 free texts per month.

POST
/api/v1/xmpp/provision
X-PAYMENT<token>

x402 payment header. When a request is sent without payment, the server returns 402 Payment Required with the price and payTo address. The caller signs an EIP-3009 transferWithAuthorization for USDC on Base and resubmits with the signed payment in this header. See https://docs.x402.org

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

country?string

Preferred ISO country code

Response Body

application/json

application/json

curl -X POST "https://x402.dial.wtf/api/v1/xmpp/provision" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "provider": "string",
  "orderId": "string",
  "lineId": "string",
  "status": "string"
}
{
  "x402Version": 2,
  "accepts": [
    {
      "scheme": "exact",
      "network": "eip155:8453",
      "amount": "100000",
      "payTo": "string"
    }
  ]
}